require "httparty"
require "cgi"

class GoogleDistanceRuby
  def initialize(key)
    @key = key
  end

  def distance(origin, destination)
    result = HTTParty.get("https://maps.googleapis.com/maps/api/distancematrix/json?origins=" + CGI.escape(origin) + "&destinations=" + CGI.escape(destination) + "&key=" + @key)
    if result.code == 200
      return {
               origin: result["origin_addresses"][0],
               destination: result["destination_addresses"][0],
               distance: result["rows"][0]["elements"][0]["distance"]["value"]
             }
    else
      return nil
    end
  end
end
